import math
"""Task_1_1"""

a = 1
b = 3
summ = a + b  # сумма чисел
difference = a - b  # разница чисел
multiplication = a * b  # произведение чисел
print(
    ' Сумма чисел =', summ, '\n', 'Разность чисел =', difference, '\n',
    'Произведение чисел =', multiplication
)


"""Task_1_2"""

x = 1
y = 2
expression = (abs(x) - abs(y)) / (1 + abs(x * y))  # рассчет
print('Ответ:', expression)

"""Task_1_3"""

a = 2
V = a**3  # расчет по формуле
print('Объем куба =', V)
S = 4 * a**2  # расчет по формуле
print('Площадь боковой поверхности куба =', S)

"""Task_1_4"""

print('способ 1')
a = 1
b = 2
middle_sum = (a + b) / 2  # среднее арфиметическое
print('Среднее арифметическое =', middle_sum)
middle_geometric = (a * b)**(1. / 2)
print('Среднее геометрическое =', middle_geometric)  # среднее геометрическое

print('способ 2')
print(
    ' Cреднее арифметическое =', (a + b) / 2, '\n',  # среднее арифметическое
    'Среднее геометрическое =', math.sqrt((a * b))  # среднее геометрическое
)

"""Task_1_5"""

a = 3
b = 4
c = math.sqrt(a**2 + b**2)  # расчет гипотенузы
print(' Гипотенуза равна ', c)
S = (a * b) / 2  # расчет площади треугольника
print(' Площадь треугольника равна ', S)
